Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	BPM counter
Name:		bpmcounter
Version:	0.1.0
Release:	1
Provides:	%{name}
License:	GPL
URL:		http://djplay.sourceforge.net/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  fftw-devel
BuildRequires:  id3lib-devel
BuildRequires:  libmad-devel
BuildRequires:  qt-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel

%description
BPMCounter provides a comfortable GUI application to count out and tag your music file collection.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir --mandir=%_mandir --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 %{SOURCE1}  $RPM_BUILD_ROOT%_applications/
mkdir -p $RPM_BUILD_ROOT%_pixmaps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_pixmaps/

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 


%files
%defattr(-,root,root)
%_bindir
%_datadir/applications
%_datadir/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.0-1
- Initial Release
